Subject: bug#12170: save-excursion fails boundary case with recenter

From: martin rudalics <[email-masked]>
Date: Sun, 12 Aug 2012 12:31:05 +0200

> As another FWIW, running the recipe with save-window-excursion shows
 > that set-window-configuration called after the body tries to set the
 > window start at position 1 and the window point at position 67.  But
 > the last position in a 33-line window that starts at position 1 is 33,
 > so these two values cannot be satisfied at once.

Due to the fact that we use markers when storing start and point
positions.  Usually the point position prevails.  But apparently
`recenter' is stronger.

martin